Skip to content

Queries subjects eligible for one Board Status responsibility.

POST
/api/workspace/boards/{boardId}/statuses/{resourceObjectId}/responsibilities/{responsibilityKey}/eligible-targets/query
curl --request POST \
--url https://example.com/api/workspace/boards/example/statuses/example/responsibilities/example/eligible-targets/query \
--header 'Content-Type: application/json' \
--data '{ "Action": "example", "Search": "example", "Cursor": "example", "PageSize": 1 }'
  • None
boardId
required
string
resourceObjectId
required
string
responsibilityKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Queries subjects eligible for one keyed Board responsibility.

object
Action
string
nullable
Search
string
nullable
Cursor
string
nullable
PageSize
integer format: int32
Examplegenerated
{
"Action": "example",
"Search": "example",
"Cursor": "example",
"PageSize": 1
}

OK

Media typeapplication/json
object
Data

Returns one page of eligible responsibility targets.

object
Items
Array<object>
nullable

Describes one eligible responsibility target.

object
SubjectType
string
nullable
SubjectId
string
nullable
Display
string
nullable
Eligible
boolean
ReasonCodes
Array<string>
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}